Standard AnsichtIsometrisch

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewIsometric and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский • ‎한국어

Std ViewIsometric.svg Std ViewIsometric

Menüeintrag
Ansicht → Standardansichten → Axonometrisch → Isometrisch
Arbeitsbereich
Alle
Standardtastenkürzel
0
Eingeführt in Version
-
Siehe auch
Std AnsichtDimetrisch, Std AnsichtTrimetrisch

Beschreibung

Der Std AnsichtIsometrisch-Befehl richtet die Kamera in der aktiven 3D-Ansicht neu aus, um eine isometrische Ansicht zu erreichen. Für eine wahrlich (truly) trimetrische Ansicht muss die 3D-Ansicht im orthographischen Modus sein, aber der Befehl funktioniert auch, wenn die Ansicht im perspektivischen Modus ist.

Std ViewIsometric example.svg

Das Achsenkreuz und ein Würfel in isometrischer Ansicht

Anwendung

  1. Es gibt verschiedene Wege, den Befehl umzusetzen:
    • Die Std ViewIsometric.svg Std Isometrische Ansicht auswählen (0)-Schaltfläche betätigen.
    • Den Menüpunkt Ansicht → Standardansichten → Axonometrisch → Isometrisch aus dem Menü wählen.
    • Den Menüpunkt Standardansichten → Axonometrisch → Isometrisch aus dem 3D-Ansicht-Kontextmenü wählen.
    • Mit dem Tastenkürzel: 0.

Hinweise

  • Es ist auch möglich, über das Miniwürfel-Menü des Navigationswürfels in den perspektivischen Ansichtsmodus zu wechseln.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten.

Um die Ansicht auf isometrisch zu ändern, verwende die Methode viewIsometric des AktiveAnsicht Objekts. Diese Methode ist nicht verfügbar, wenn sich FreeCAD im Konsolenmodus befindet.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewIsometric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()